Page MenuHomePhabricator

Migrate OOjs UI npm, npm-run-doc and npm-run-demos CI jobs to Nodepool
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
VisualEditor/VisualEditor : masterHave npm doc to install jsduck with bundler
integration/config : master[oojs/ui] migrate npm doc/demos to Nodepool
integration/config : masterdib: add jsduck to Nodepool instances
integration/config : masterAllow hhvm under node-4.3 tests
integration/config : masterAdd nodepool parameters to npm-run jobs
integration/config : masteroojs/ui npm jobs needs HHVM
integration/config : masterExperimental npm-run jobs on Nodepool instances
integration/config : master[OOJS/ui] Migrate to Node 4.3 / Nodepool
integration/config : masterMigrate OOJS repos to npm-node-4.3

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2016, 3:54 PM

Change 273135 had a related patch set uploaded (by Jforrester):
Migrate OOJS repos to npm-node-4.3

https://gerrit.wikimedia.org/r/273135

Change 273135 abandoned by Hashar:
Migrate OOJS repos to npm-node-4.3

Reason:
Can not be switched now because the npm entry point on those repositories use composer which is not available.

https://gerrit.wikimedia.org/r/273135

hashar added a subscriber: hashar.Apr 1 2016, 6:47 PM

Depends on composer being installed.

Composer is available. The npm job runs on Jessie which lacks Zend for now but has HHVM. So for oojs/ui we can point it to hhvm.

Change 285974 had a related patch set uploaded (by Hashar):
oojs/ui npm jobs needs HHVM

https://gerrit.wikimedia.org/r/285974

Change 285974 merged by jenkins-bot:
oojs/ui npm jobs needs HHVM

https://gerrit.wikimedia.org/r/285974

hashar claimed this task.Apr 28 2016, 5:53 PM
hashar removed a project: Patch-For-Review.

The job for OOjs UI passed on the Jessie Nodepool instance. It ran exec:phpGenerateJSPHPForKarma properly under HHVM.

Change 286008 had a related patch set uploaded (by Hashar):
[OOJS/ui] Migrate to Node 4.3 / Nodepool

https://gerrit.wikimedia.org/r/286008

hashar renamed this task from Migrate OOjs UI npm CI job to Nodepool to Migrate OOjs UI npm, npm-run-doc and npm-run-demos CI jobs to Nodepool.Apr 28 2016, 5:56 PM
hashar updated the task description. (Show Details)

Change 286008 merged by jenkins-bot:
[OOJS/ui] Migrate to Node 4.3 / Nodepool

https://gerrit.wikimedia.org/r/286008

OOJSnow runs npm-node-4.3. Still have to migrate npm-run-doc and npm-run-demos

Change 290467 had a related patch set uploaded (by Hashar):
Experimental npm-run jobs on Nodepool instances

https://gerrit.wikimedia.org/r/290467

Change 290467 merged by jenkins-bot:
Experimental npm-run jobs on Nodepool instances

https://gerrit.wikimedia.org/r/290467

hashar added a comment.EditedMay 24 2016, 2:42 PM

I have triggered the experimental jobs from gallium in my homedir with:

./trigger-job.py --job oojs-core-npm-run-doc-node-4.3 --project oojs/core --branch master &
./trigger-job.py --job oojs-ui-npm-run-demos-node-4.3 --project oojs/ui --branch master &
./trigger-job.py --job oojs-ui-npm-run-doc-node-4.3 --project oojs/ui --branch master &
./trigger-job.py --job unicodejs-npm-run-doc-node-4.3 --project unicodejs --branch master &
./trigger-job.py --job visualeditor-npm-run-doc-node-4.3 --project VisualEditor/VisualEditor --branch master &

The missing jsduck is the same issue which is hitting us on parsoid: T126992

Ive created https://phabricator.wikimedia.org/T136097 for the Jessie php problem since we want php 5.5 not 5.6. And once we use php 5.5 we could enable it on Jessie.

Change 290482 had a related patch set uploaded (by Paladox):
Follow-Up: I4eebe5d812d3994a61b133e9d214b52b8b51e71b

https://gerrit.wikimedia.org/r/290482

Change 290480 had a related patch set uploaded (by Paladox):
Allow hhvm under -jessie and node-4.3 tests

https://gerrit.wikimedia.org/r/290480

Change 290492 had a related patch set uploaded (by Paladox):
Have npm doc to install jsduck with bundler

https://gerrit.wikimedia.org/r/290492

Change 290482 merged by jenkins-bot:
Add nodepool parameters to npm-run jobs

https://gerrit.wikimedia.org/r/290482

Change 290480 merged by jenkins-bot:
Allow hhvm under node-4.3 tests

https://gerrit.wikimedia.org/r/290480

Change 290704 had a related patch set uploaded (by Hashar):
dib: add jsduck to Nodepool instances

https://gerrit.wikimedia.org/r/290704

Change 290704 merged by jenkins-bot:
dib: add jsduck to Nodepool instances

https://gerrit.wikimedia.org/r/290704

Change 290784 had a related patch set uploaded (by Hashar):
[oojs/ui] migrate npm doc/demos to Nodepool

https://gerrit.wikimedia.org/r/290784

Change 290784 merged by jenkins-bot:
[oojs/ui] migrate npm doc/demos to Nodepool

https://gerrit.wikimedia.org/r/290784

hashar closed this task as Resolved.May 25 2016, 8:50 PM

We had some experimental jobs added via 5ff89eeb6104cece2e75ed80110ca2a21348fec4 . The doc one failed due to lack of jsduck but it is now installed on the instances.

Did a check experimental on https://gerrit.wikimedia.org/r/#/c/285972/ and both jobs passed.

The jobs will be a bit slow until a change is merged via CR+2. That will populate and store the npm cache for future builds.

Change 290492 abandoned by Jforrester:
Have npm doc to install jsduck with bundler

Reason:
Not needed, FWICT.

https://gerrit.wikimedia.org/r/290492

Jdforrester-WMF moved this task from Backlog to OOjs-UI-0.17.3 on the OOUI board.May 30 2016, 4:02 PM
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.17.3); removed OOUI.